Package org.eclipse.m2m.atl.adt.ui.properties

# Class AtlElementProperties

java.lang.Object
org.eclipse.m2m.atl.adt.ui.properties.AtlElementProperties

All Implemented Interfaces:
  `org.eclipse.ui.views.properties.IPropertySource`

public class AtlElementProperties extends Object implements org.eclipse.ui.views.properties.IPropertySource

## Constructor Summary

Constructors
Constructor
Description
`AtlElementProperties(org.eclipse.emf.ecore.EObject eo)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getEditableValue()`
`org.eclipse.ui.views.properties.IPropertyDescriptor[]`
`getPropertyDescriptors()`
`Object`
`getPropertyValue(Object id)`
`boolean`
`isPropertySet(Object id)`
`void`
`resetPropertyValue(Object id)`
`void`
`setPropertyValue(Object id, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlElementProperties

public AtlElementProperties(org.eclipse.emf.ecore.EObject eo)

## Method Details

### getEditableValue

public Object getEditableValue()

Specified by:
  `getEditableValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  - `IPropertySource.getEditableValue()`

### getPropertyDescriptors

public org.eclipse.ui.views.properties.IPropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  - `IPropertySource.getPropertyDescriptors()`

### getPropertyValue

public Object getPropertyValue(Object id)

Specified by:
  `getPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  - `IPropertySource.getPropertyValue(java.lang.Object)`

### isPropertySet

public boolean isPropertySet(Object id)

Specified by:
  `isPropertySet` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  - `IPropertySource.isPropertySet(java.lang.Object)`

### resetPropertyValue

public void resetPropertyValue(Object id)

Specified by:
  `resetPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  - `IPropertySource.resetPropertyValue(java.lang.Object)`

### setPropertyValue

public void setPropertyValue(Object id, Object value)

Specified by:
  `setPropertyValue` in interface `org.eclipse.ui.views.properties.IPropertySource`
See Also:
  - `IPropertySource.setPropertyValue(java.lang.Object, java.lang.Object)`